The Items Connect API streamlines the listing process by allowing sellers to programmatically post items for sale, offering an efficient alternative to creating individual item listings through the user interface.
API catalog/Items Connect API//
- Retrieve all categories
Retrieve a category's attributes
Retrieve all categories
Items Connect API (0.0.1)
Download OpenAPI description
Languages
Servers
Production
https://connect.wallapop.com
- Productionhttps://connect.wallapop.com/items/categories
curl -i -X GET \
https://connect.wallapop.com/items/categories \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "categories": [ { "id": 24200, "parent_id": 24200, "name": "Tecnología y electrónica", "assignable_to_item": false, "subcategories": [ { "id": 10414, "parent_id": 24200, "name": "TV", "assignable_to_item": true } ] } ] }
- Productionhttps://connect.wallapop.com/items/categories/{id}/attributes
curl -i -X GET \
https://connect.wallapop.com/items/categories/12467/attributes \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The category's attributes were successfully retrieved.
attributesArray of CategoryAttributeDiscreteValuesResponse (object) or CategoryAttributeTextValueResponse (object) or CategoryAttributeNumericValueResponse (object)
Example: {"example":{"attributes":[{"id":"condition","type":"discrete_values","is_mandatory":true,"options":{"max_choices":1},"values":[{"id":"new","title":"Nuevo"},{"id":"as_good_as_new","title":"Como nuevo"},{"id":"good","title":"En buen estado"},{"id":"fair","title":"En condiciones aceptables"},{"id":"has_given_it_all","title":"Lo ha dado todo"}]},{"id":"brand","type":"text","is_mandatory":true,"max_length":75},{"id":"height_cm","type":"numeric","is_mandatory":false,"data_type":{"type":"integer"},"range":{"greater_than_or_equal":0,"less_than_or_equal":999}}]}}
Response
application/json
{ "attributes": { "example": { "attributes": [ { "id": "condition", "type": "discrete_values", "is_mandatory": true, "options": { … }, "values": [ … ] }, { "id": "brand", "type": "text", "is_mandatory": true, "max_length": 75 }, { "id": "height_cm", "type": "numeric", "is_mandatory": false, "data_type": { … }, "range": { … } } ] } } }